Page MenuHomePhabricator

[libc++] Granularize the rest of type_traits
ClosedPublic

Authored by philnik on Jul 25 2022, 3:04 AM.

Details

Reviewers
ldionne
Group Reviewers
Restricted Project
Commits
rG7ae66e5e9593: [libc++] Granularize the rest of type_traits

Diff Detail

Event Timeline

philnik created this revision.Jul 25 2022, 3:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 25 2022, 3:04 AM
Herald added a subscriber: mgorny. · View Herald Transcript
philnik requested review of this revision.Jul 25 2022, 3:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 25 2022, 3:04 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
philnik updated this revision to Diff 447260.Jul 25 2022, 3:11 AM
  • Fix stuff
philnik updated this revision to Diff 447263.Jul 25 2022, 3:15 AM
  • Generate files
philnik updated this revision to Diff 447265.Jul 25 2022, 3:19 AM
  • Remove include
ldionne accepted this revision.Aug 4 2022, 8:41 AM

Please wait until ~ Thursday next week before shipping this. It touches a lot of stuff and I want to make cherry-picks for LLVM 15 as easy as possible.

Also, pending green CI as usual.

libcxx/include/__fwd/hash.h
9–10

Please check the other files as well.

libcxx/include/type_traits
422

Per live review, can you please provide a link to a bug report regarding the poisoned hash helper test? This shouldn't be necessary.

426

You're missing an include of can_extract_key.h. I know it's not needed in <type_traits>, but we decided a while back that top-level headers would include all the files in their detail directory, so let's be consistent.

Per our discussion, it might make sense to change this approach to only include the public interface from our top-level headers, but let's not try to change the world in this commit.

This revision is now accepted and ready to land.Aug 4 2022, 8:41 AM
philnik updated this revision to Diff 451108.Aug 9 2022, 4:35 AM
philnik marked 3 inline comments as done.
  • Address comments
philnik updated this revision to Diff 452453.Aug 13 2022, 1:40 PM
  • Next try
philnik updated this revision to Diff 452458.Aug 13 2022, 2:10 PM
  • Fix modulemap
This revision was landed with ongoing or failed builds.Aug 14 2022, 1:31 AM
This revision was automatically updated to reflect the committed changes.